PUT /bsus/api/v1/batches/{batch_id} - Adaptive Applications - BlueCat Gateway - 22.1

BlueCat Server Update Services Administration Guide

ft:locale
en-US
Product name
BlueCat Gateway
Version
22.1

Description

Update the servers in an existing Server Batch based on the ID provided

Parameters

Name Description
batch_id Location: query

Type: string

The ID of the Server Batch in which you would like to add servers.

body Location: body

Type: application/json

The body of the servers to be added to the Server Batch. The JSON body is as follows:
{
  "id": "string",
  "name": "string",
  "servers": [
    {
      "name": "string",
      "bam_id": "string",
      "order": int,
      "management_ip": "string",
      "service_ip": "string",
      "appliance_type": "string",
      "role_enable": "string",
      "software_version": "string",
      "patches_installed": "string",
      "services_health": 0,
      "configuration": "string"
    }
  ],
  "postcript_options": {
    "install": true,
    "apply_and_run": true,
    "postscript_id": "string"
  }
}
Parameters
  • id—the ID of the Server Batch
  • name—the name of the Server Batch.
  • servers—an array of servers to add to the server batch with the following information:
    • name—the name of the DNS/DHCP Server.
    • bam_id—the object ID of the Address Manager server to which the server is associated.
    • order—the order in which the server appears in the Server Batch relative to the batch's other servers, starting with 0.
    • management_ip—the IP address of the DNS/DHCP Server management interface.
    • service_ip—the IP address of the DNS/DHCP Server service interface.
    • appliance_type—the appliance type of the DNS/DHCP Server.
    • role_enabled—the role that has been enabled on the DNS/DHCP Server, such as DNS.
    • software_version—the version of DNS/DHCP Server installed on the server.
    • patches_installed—the list of DNS/DHCP Server patches installed on the server.
    • services_health—the health status of the server.
    • configuration—the configuration in Address Manager in which the server has been added.
  • postscript_options—Options to set for the Server Batch's customization package:
    • install—set to true if the customization package should be sent to the DNS/DHCP Server during an update.
    • apply_and_run—set to true if the customization package's post-update script should be called after an update to restore customized server settings (customize.sh -r).
    • postscript_id—The ID of the package to associate with this Server Batch.

Responses

Status Description
Successful

Code: 202

Server Batch updated successfully.

Body:
{
  "id": "string",
  "name": "string",
  "timestamp": "date string(%Y-%m-%dT%H:%M:%SZ)",
  "servers": [
    {
      "name": "string",
      "bam_id": "string",
      "order": int,
      "management_ip": "string",
      "service_ip": "string",
      "appliance_type": "string",
      "role_enable": "string",
      "software_version": "string",
      "patches_installed": "string",
      "services_health": int,
      "configuration": "string"
    }
  ]
}

Displays the updated list of servers that are within the specified Server Batch. For descriptions of each field, see Parameters above.

Error

Code: 400

Invalid input.

Body:
{
  "errors": [
    "missing credentials errors message"
  ]
}

Code: 404

Server Batch not found.

Body:
{
  "errors": [
    "Batch not found with ID <batch_id>"
  ]
}

Code: 409

Server Barch name already in use.

Body:
{
  "errors": [
    "string"
  ]
}
{
  "errors": [
    "conflict server errors message"
  ]
}

Code: 500

Internal server error.

Body:
{
  "error": "string"
}